## Materials and instructions for the CASA VLBI tutorials ##

**READ CAREFULLY**

To get this repository on your machine, in your terminal type: 
`git clone https://code.jive.eu/bemmel/CASA_VLBI.git`  

These materials will be updated regularly. Each time you use them,
make sure to type `git pull` command in the CASA_VLBI directory created by the above clone command to ensure you have the latest version. 


#### Software: ####  
[git](https://github.com/git-guides/install-git)  
Python 3.8  
CASA 6.5.5  
[Helper scripts](https://github.com/jive-vlbi/casa-vlbi): `git clone https://github.com/jive-vlbi/casa-vlbi`

*Optional:*  
[natsort](https://pypi.org/project/natsort/)  

#### Additional information: ####  
* [EVN Data Reduction Guide](https://www.evlbi.org/evn-data-reduction-guide)   
* [EVN Archive](http://archive.jive.nl/scripts/portal.php)  
* [DARA EVN Continuum tutorial](https://www.jb.man.ac.uk/DARA/unit4/Workshops/EVN_continuum.html)  
* [Instructions for the use of the JIVE JupyterHub](https://code.jive.eu/JIVE/CASA_VLBI/src/branch/main/Tutorial/hub_instructions.md)

Once you have updated your git repository, for the plenary session you
will not need to download anything.   

#### For the practical work: ####  
To use the scripts with the casavlibtools set your PYTHONPATH variable to point to the
directory where they are located. E.g.:  
`export $PYTHONPATH='/<path in your system>/casa-vlbi':$PYTHONPATH`  
or depending on your shell:  
`setenv $PYTHONPATH='/<path in your system>/casa-vlbi':$PYTHONPATH`

To use the materials in a Jupyter notebook on your own machine, follow
the [instructions to install the Vagrant
VM](https://indico.astron.nl/event/308/page/140-software), or use the
JIVE Jupyter hub.

### This git repository contains: ###  
This README.md instruction file  

In the Tutorial folder:  
* two  Jupyter notebooks: one prefilled, one to fill in yourself   
* [instructions to access the JupyterHub and run the notebook](https://code.jive.eu/JIVE/CASA_VLBI/src/branch/main/Tutorial/hub_instructions.md)
* a flag file n14c3.myflags  
* two scripts for the full processing of N14C3 in casa_script.py and
casa_script_prefilled.py   

In the Presentations folder:
* guess what, here are some useful presentations
